/* =============================================== */
/* CSS for control sap.ui.commons/Splitter.control */
/* =============================================== */
/*
.sapUiSplitterFocus,
.sapUiVSplitterSecondPane:focus,
.sapUiHSplitterSecondPane:focus,
.sapUiVSplitterFirstPane:focus,
.sapUiHSplitterFirstPane:focus {
	outline: @sapUiBlackBorder dotted 1px;
}
*/

.sapUiHorizontalSplitterBar:focus,
.sapUiVerticalSplitterBar:focus {
	outline: @sapUiHighlight dashed 1px;
}

.sapUiVSplitterFirstPane {
	height: 100%;
	display: inline-block;
	vertical-align: top;
	outline-offset: -1px;
	/*overflow: hidden;*/
}

.sapUiHSplitterFirstPane {
	width: 100%;
	vertical-align: top;
	outline-offset: -1px;
	/*overflow: hidden;*/
}

.sapUiVSplitterSecondPane {
	height: 100%;
	display: inline-block;
	vertical-align: top;
	outline-offset: -1px;
	/*overflow: hidden;*/
}

.sapUiHSplitterSecondPane {
	width: 100%;
	vertical-align: top;
	outline-offset: -1px;
	/*overflow: hidden;*/
}

.sapUiVerticalSplitterBar {
	background-image: url(img/splitter/splitter_vert_grip.gif);
	background-color: darken(@sapUiBaseBG, 20);
	background-position: center center;
	background-repeat: no-repeat;
	height: 100%;
	display: inline-block;
	vertical-align: top; /* needed to hide vertical scrollbar when all elements fit inside the pane. currently works only in FF*/
	/*z-index:1;*/
}

.sapUiVerticalSplitterBarHidden {
	display: none;
	vertical-align: top; /* needed to hide vertical scrollbar when all elements fit inside the pane. currently works only in FF*/
	height: 100%;
	/*z-index:1;*/
}

.sapUiHorizontalSplitterBar {
	background-image: url(img/splitter/splitter_horiz_grip.gif);
	background-position: center center;
	background-repeat: no-repeat;
	background-color: darken(@sapUiBaseBG, 20);
	width:100%;
	/*z-index:1;*/
}

.sapUiHorizontalSplitterBarHidden {
	display: none;
	width:100%;
	/*z-index:1;*/
}

.sapUiVerticalSplitterBar:hover {
	background-color: darken(@sapUiBaseBG, 40);
	cursor: col-resize;
}

.sapUiHorizontalSplitterBar:hover {
	background-color: darken(@sapUiBaseBG, 40);
	cursor: row-resize;
}

.sapUiVSBGhost {
	background-image: url(img/splitter/checkerboard.png);
	background-repeat: repeat;
	position: absolute;
	cursor:   col-resize;
	z-index: 20;
}

.sapUiHSBGhost {
	background-image: url(img/splitter/checkerboard.png);
	background-repeat: repeat;
	position: absolute;
	cursor:  row-resize;
	z-index: 20;
}